<?php
	include('cap.php');
	$size_img_cat=100;
	$info="";
	$conf=file("conf/sett1.txt");
	for($i=0; $i<count($conf); $i++) $conf[$i]=trim($conf[$i]);
	$foto=file("db/id_foto/$_GET[id]");
	function foto($foto)
	{
		global $size_img_cat;
		$size_img=array();
		//Размер
		$size_img=getimagesize("foto/$foto");
		
		$w_f=$size_img[0];
		$h_f=$size_img[1];
		if($size_img[0]>$size_img_cat)
		{
			$balans=$size_img[0]/$size_img_cat;
			if(round($balans)>=1)
			{
				$size_img[0]=$size_img[0]/$balans;
				$size_img[1]=$size_img[1]/$balans;
			}
			
		}
		if($size_img[1]>$size_img_cat)
		{
			$balans=$size_img[1]/$size_img_cat;
			if(round($balans)>=1)
			{
				$size_img[0]=$size_img[0]/$balans;
				$size_img[1]=$size_img[1]/$balans;
			}
		}
		
		
		echo "<img src=foto/$foto width=$size_img[0] height=$size_img[1]  align=middle hspace=10 alt='фото'>";
		
		
	}
	
	if(!isset($_GET['id']) || !isset($_GET['op']) || !file_exists("db/news/$_GET[id]") || ($_GET['op']!=1 && $_GET['op']!=2))
	{
		echo "<meta http-equiv=refresh content='0; url=admin2.php'>";
		exit();
	}
	
	if(!isset($_GET['c']) || !is_int(intval($_GET['c']))) $_GET['c']=1;
	if(!isset($_GET['ind'])) $_GET['ind']=1;
	if(!isset($_GET['page'])) $_GET['page']=1;
	
	$text=file("db/news/$_GET[id]");
	for($n=0;$n<count($text);$n++)$text[$n]=trim($text[$n]);
	if(!isset($text[5])) $text[5]='';
	
	if(isset($_GET['up']))
	{
		$arr_pos=file("db/id_foto/$_GET[id]");
		for($n=0;$n<count($arr_pos);$n++)$arr_pos[$n]=trim($arr_pos[$n]);
		$link=str_replace("&up=$_GET[up]","",$_SERVER['REQUEST_URI']);
		if(!is_int(intval($_GET['up'])) || $_GET['up']<=0 || ($_GET['up']+1) > count($arr_pos))
		{
			echo "<meta http-equiv=refresh content='0; url=$link'>";
			exit();
		}
		
		$old=$arr_pos[$_GET['up']];
		$now=$arr_pos[$_GET['up']-1];
		$arr_pos[$_GET['up']]=$now;
		$arr_pos[$_GET['up']-1]=$old;
		
		$f=fopen("db/id_foto/$_GET[id]","w");
		foreach($arr_pos as $line) fwrite($f,$line."\r\n");
		fclose($f);
		
		
		echo "<meta http-equiv=refresh content='0; url=$link'>";
		exit();
	}
	
	if(isset($_GET['down']))
	{
		$arr_pos=file("db/id_foto/$_GET[id]");
		for($n=0;$n<count($arr_pos);$n++)$arr_pos[$n]=trim($arr_pos[$n]);
		$link=str_replace("&down=$_GET[down]","",$_SERVER['REQUEST_URI']);
		if(!is_int(intval($_GET['down'])) || $_GET['down']<0 || ($_GET['down']+1) >= count($arr_pos) )
		{
			echo "<meta http-equiv=refresh content='0; url=$link'>";
			exit();
		}
		
		$old=$arr_pos[$_GET['down']];
		$now=$arr_pos[$_GET['down']+1];
		$arr_pos[$_GET['down']]=$now;
		$arr_pos[$_GET['down']+1]=$old;
		
		$f=fopen("db/id_foto/$_GET[id]","w");
		foreach($arr_pos as $line) fwrite($f,$line."\r\n");
		fclose($f);
		
		echo "<meta http-equiv=refresh content='0; url=$link'>";
		exit();
	}
	
	
	if(isset($_GET['del']) && file_exists("foto/$_GET[del]"))
	{
		$file=file("db/id_foto/$_GET[id]");
		$f=fopen("db/id_foto/$_GET[id]","w");
		foreach($file as $line)
		{
			$line=trim($line);
			if($line==$_GET['del'])continue;
			fwrite($f,$line."\r\n");
		}
		fclose($f);
		
		unlink("foto/$_GET[del]");
		$link=str_replace("&del=$_GET[del]","",$_SERVER['REQUEST_URI']);
		echo "<meta http-equiv=refresh content='0; url=$link'>";
		exit();
	}
	
	if(isset($_POST['back']))
	{
		if(!isset($_GET['b']))
		{
			echo "<meta http-equiv=refresh content='0; url=admin2.php?c=$_GET[c]&page=$_GET[page]&ind=$_GET[ind]'>";
			exit();
		}
		else
		{
			echo "<meta http-equiv=refresh content='0; url=admin7.php'>";
			exit();
		}
	}
	
	
	if(@$_FILES['foto']['name']!="")
	{
		//Изображение ли это
		if(substr($_FILES['foto']['type'],0,5)!="image" )  $info="ФАЙЛ ФОТО НЕ ЯВЛЯЕТСЯ ИЗОБРАЖЕНИЕМ!";
		
		if($info=="")
		{
			$arr_type=array('gif','png','jpg','bmp','GIF','PNG','JPG','BMP');
			$type_file=explode(".",$_FILES['foto']['name']);
			$type_file=$type_file[count($type_file)-1];
			if(!in_array($type_file,$arr_type))$info="ДЛЯ ЗАГРУЗКИ ФОТО РАЗРЕШЕНЫ ТИПЫ gif, png, jpg, bmp!";
		}
		
		if($info=="")
		{
			$time=time();
			$name_foto=$time.".".$type_file;
			if(copy($_FILES['foto']['tmp_name'],"foto/$name_foto"))
			{
				$f=fopen("db/id_foto/$_GET[id]","a+");
				fwrite($f,$name_foto."\r\n");
				fclose($f);
				
				echo "<meta http-equiv=refresh content='0; url=$_SERVER[REQUEST_URI]'>";
				exit();
			}
			else $info="<font color=red>ЗАГРУЗКА ФОТО НЕУДАЧНА!</font>";
		}
		
	}
	///// открываем список в рассылку
	$news_sub=array();
	$news_sub=file("db/sub.txt");
	for($n=0;$n<count($news_sub);$n++) $news_sub[$n]=trim($news_sub[$n]);
	
	if(in_array($_GET['id'],$news_sub))$check_sub='checked';
	else  $check_sub="";
	////  открываем список непубликуемых статей и устанавливаем  чекбокс
	$check_public=news_public_check ($_GET['id']);
	/////
	if(isset($_POST['name']))
	{
		//дата
		if(($_POST['day']>29 && $_POST['month']==2) || ($_POST['day']>30 && $_POST['month']==4) || ($_POST['day']>30 && $_POST['month']==6) ||
		($_POST['day']>30 && $_POST['month']==9) || ($_POST['day']>30 && $_POST['month']==11))  $info="Указанная дата некорректна!<br />";
		
        $_POST['name']=trim($_POST['name']);
        $_POST['name']=stripslashes($_POST['name']);
		
		$_POST['kwrds']=trim($_POST['kwrds']);
        $_POST['kwrds']=stripslashes($_POST['kwrds']);
		
        $_POST['resume']=trim($_POST['resume']);
        $_POST['resume']=stripslashes($_POST['resume']);
        $_POST['resume']=str_replace("\r\n","<br>",$_POST['resume']);
		
		
        $_POST['text']=trim($_POST['text']);
        $_POST['text']=stripslashes($_POST['text']);
		$_POST['text']=str_replace("\r\n"," ",$_POST['text']);
		// Чистка кода CDATA
		$_POST['text']=str_replace('// <![CDATA[','',$_POST['text']);
		$_POST['text']=str_replace('// ]]>','',$_POST['text']);
		//
        $_POST['code']=trim($_POST['code']);
        $_POST['code']=stripslashes($_POST['code']);
        $_POST['code']=str_replace("\r\n","",$_POST['code']);
		
		if($_POST['resume']=="" || $_POST['name']=="") $info.="Краткое содержание и заголовок статьи обязательны!<br/>";
		if($_FILES['uploadfile']['type']!="application/pdf" && $_FILES['uploadfile']['type']!="") $info.="Неверный формат загруженного файла pdf.<br/>" ; 
		if (!preg_match("/^[A-Za-z0-9_-]{2,130}$/",$_POST['flname']) && $_POST['flname']!="") $info.="Неправильное имя страницы (только латинские буквы, цифры, подчеркивание,дефис, от 2 до 130 символов).<br/>" ;
		
		
		$count_foto_text=substr_count($_POST['text'],"[foto]");
		$foto_oll=0;
		
		
		
		if($conf[50]==1 && count($foto)!=0 && (($count_foto_text+1)>count($foto))) $info.="Вы установили слишком много фото в текст статьи!<br />
		Учтите, что у вас включена настройка \"Обтекание текстом первой фото\"";
		
		if($count_foto_text > count($foto)) $info.="Вы установили слишком много фото в текст статьи!<br />";
		
		
		if($info=="")
		
		{ if (is_file($_FILES['uploadfile']['tmp_name'])) { 
			@mkdir ("../../sg_cm/upload/pdf");
		copy($_FILES['uploadfile']['tmp_name'],"../../sg_cm/upload/pdf/".$_GET['id'].".pdf");}
        $arr_date=getdate($text[0]);
        if($arr_date['year']==$_POST['year'] && $arr_date['mon']==$_POST['month'] && $arr_date['mday']==$_POST['day']) $date=$text[0];
        else  $date=mktime(date('H'),date('i'),date('s'),$_POST['month'],$_POST['day'],$_POST['year']);
        if(isset($_POST['cat']) && $_POST['cat']!="non") $news_cat=$_POST['cat'];
        else $news_cat="";
        $f=fopen("db/news/$_GET[id]","w+");
        fwrite($f,"$date"."\r\n".$news_cat."\r\n".$_POST['name']."\r\n".$_POST['resume']."\r\n".$_POST['text']."\r\n".$_POST['kwrds']);
        fclose($f);
		
		
        $f=fopen("db/code/$_GET[id]","w");
        fwrite($f,$_POST['code']);
        fclose($f);
		
        if($news_cat!="" && $text[1]!=$news_cat )
		{
			$f=fopen("db/cat/$news_cat","a+");
			fwrite($f,"$_GET[id]\r\n");
			fclose($f);
		}
		
        if($text[1]!=$news_cat && $text[1]!="" )
        {
			$file=file("db/cat/$text[1]");
			$f=fopen("db/cat/$text[1]","w");
			foreach($file as $line)
            {
				$line=trim($line);
				if($line==$_GET['id']) continue;
				fwrite($f,$line."\r\n");
			}
			fclose($f);
		}
		
		if(isset($_POST['subscr']) && !in_array($_GET['id'],$news_sub))
		{
			$f=fopen("db/sub.txt","a+");
			fwrite($f,"$_GET[id]\r\n");
			fclose($f);
		}
		
		if(!isset($_POST['subscr']) && in_array($_GET['id'],$news_sub))
		{
            $f=fopen("db/sub.txt","w");
            foreach($news_sub as $line)
			{
				$line=trim($line);
				if($line==$_GET['id']) continue;
				fwrite($f,$line."\r\n");
			}
            fclose($f);
		}
		/////  Корректируем в базе список статей, котороые не помечены как публикуемые
		if(checkbox_verify('public')==0) // проверка чекбокса публиковать ли новость 
		{
			if(!in_array($_GET['id'],$news_public))
			file_put_contents("db/public.txt",$_GET['id']."\r\n",FILE_APPEND);
		}
		elseif (checkbox_verify('public')==1) { 
			$f=fopen("db/public.txt","w");
			foreach($news_public as $v) { 
				if (trim($v)==$_GET['id']) continue;
			fwrite($f,$v."\r\n");}
			fclose($f);
		}

		/////			
		
		// здесь код для переименования  ! 
		if($_POST['flname']!="")
		{
			
			//foto
			$file=file("db/id_foto/".$_GET['id']);
			//   foreach($file as $line)
			//   {
			//      $line=trim($line);
			//     unlink("foto/$line");
			//   }
			rename("db/id_foto/".$_GET['id'], "db/id_foto/".$_POST['flname']);
			//статья
			rename("db/news/".$_GET['id'], "db/news/".$_POST['flname']);
			
			//код
			rename("db/code/".$_GET['id'], "db/code/".$_POST['flname']);
			//файл
			if (is_file("../../sg_cm/upload/pdf/$_GET[id].pdf")) rename("../../sg_cm/upload/pdf/".$_GET['id'].".pdf", "../../sg_cm/upload/pdf/".$_POST['flname'].".pdf");
			
			//рейтинг и пр
			rename("db/stat/".$_GET['id'], "db/stat/".$_POST['flname']);
			rename("db/reyt/".$_GET['id'], "db/reyt/".$_POST['flname']);
			rename("db/ip/".$_GET['id'], "db/ip/".$_POST['flname']);
			rename("db/comm/".$_GET['id'], "db/comm/".$_POST['flname']);
			//из категории
			if($news_cat!="")
			{
				$file=file("db/cat/$news_cat");
				$f=fopen("db/cat/$news_cat","w");
				foreach($file as $line)
				{
					$line=trim($line);
					if($line==$_GET['id']) $line=$_POST['flname'];
					fwrite($f,$line."\r\n");
				}
				fclose($f);
			}
			
			
			//очередь рассылки
			$f=fopen("db/sub.txt","w");
			foreach($news_sub as $line)
            {
				$line=trim($line);
				if($line==$_GET['id']) $line=$_POST['flname'];
				fwrite($f,$line."\r\n");
			}
			fclose($f);
			
			
		}
		echo "<meta http-equiv=refresh content='0; url=$_SERVER[REQUEST_URI]'>";
        exit();
		
		}
		
	}
	
	if($_GET['op']==1)
	{
		$text[3]=str_replace("<br>","\r\n",$text[3]);
		if(!isset($text[4])) $text[4]="";
		$text[4]=str_replace("<br>","\r\n",$text[4]);
		
		$date=getdate($text[0]);
		
		$arr_month=array("январь","февраль","март","апрель","май","июнь","июль","август","сентябрь","октябрь","ноябрь","декабрь");
		$cat=file("db/cat.txt");
		
		echo "<table id=info><tr><td><img src=img/inf.jpg  alt=Справка >
		</td>
		<td>Если вы не хотите, чтобы новость присутствовала в какой-либо категории, выберите в списке категорий значение <i>Вне категорий</i>.<br />
		Фото, загруженное с помощью формы \"фото\", расположенной справа, будет размещено рядом с кратким содержанием статьи и в верхней части полного текста статьи (если его отображение включено в настройках).<br />
		Вы можете также загружать фото и вставлять их в текст в произвольные места в окне редактора полного текста с помощью кнопки \"Добавить/Изменить изображение\".
		</tr>
		</table>";
		
		echo  "<form  method=post enctype=multipart/form-data>
		<table  class=tab  >";
		if($info!="") echo "<tr><td colspan=2><font color=red>$info</font></td></tr>";
		
		echo"<tr>
		<td class=valtop>
		<div align=left><input type=submit value=Сохранить name=go id=button>&nbsp;&nbsp;&nbsp;
		<input type=submit value=Назад name=back id=button></div><br />
		<input name=public  type=checkbox ".$check_public."/>&nbsp;&nbsp;Опубликовать на сайте. <br /><br />
		<input name=subscr type=checkbox value=ON ".$check_sub."/>&nbsp;&nbsp;Отправить в подписку. <br /> ВНИМАНИЕ! Для корректного формирования письма подписчикам заполните поле \"Ссылка на страницу, где установлен код...\" в разделе \"Настройки блока\" (даже если вы не используете краткий блок последних статей/новостей.)<br /><br />
		Дата<br />
		<select  name=day>";
		
		for($n=1;$n<32;$n++)
		{
			$sel="";
			if($date['mday']==$n)$sel='selected';
			echo "<option value=$n $sel>$n</option>";
		}
		
		echo"</select>&nbsp;&nbsp;";
		
		echo"<select  name=month>";
		for($n=0;$n<12;$n++)
		{
			$sel="";
			$c=$n+1;
			if($date['mon']==$c)$sel='selected';
			echo "<option value=$c $sel>".$arr_month[$n]."</option>";
		}
		
		echo"</select>&nbsp;&nbsp;";
		
		echo"<select  name=year>";
		for($n=1980;$n<2061;$n++)
		{
			$sel="";
			if($date['year']==$n)$sel='selected';
			echo "<option value=$n $sel>$n</option>";
		}
		
		echo"</select><br /><br />";
		echo"<font color=red>*</font>Заголовок<br />
		<input name=name type=text value='$text[2]' size=70><br /><br />";
		
		if(count($cat))
		{
			echo "Категория<br /><select  name=cat>
			<option value=non $sel>Вне категорий</option>";
			
			foreach($cat as $line)
			{
				$sel='';
				$line=trim($line);
				$expl=explode("*",$line);
				if($expl[0]==$text[1])$sel='selected';
				echo "<option value=$expl[0] $sel>$expl[1]</option>";
			}
			echo "</select><br /><br />";
		}
		$code="";
		$f=fopen("db/code/$_GET[id]","r");
		$code=fread($f,3000);
		fclose($f);
		$code=str_replace("\r\n","",$code);
		echo "  Ключевые слова<br />  <textarea name=kwrds rows=2 cols=80>$text[5]</textarea><br /><br />";
		echo " 
		<span style='color:red;'>*</span>Краткое содержание<br />
		<textarea name=resume rows=5 cols=80>$text[3]</textarea><br /><br />
		Новое имя страницы (для отображения в адресной строке браузера). Если не хотите переименовывать страницу, оставьте поле пустым. Текущее имя страницы: <b>".$_GET['id']." </b><br />
		<input name=flname type=text value='".@$_POST['flname']."' size=70><br /><br />
		Выберите файл  для загрузки(текст статьи в формате pdf). Ссылка для скачивания будет размещена на сайте в верхней части статьи."; 
		if(is_file('../../sg_cm/upload/pdf/'.$_GET['id'].'.pdf')){ echo "
			Ранее был загружен 
			<a onClick=\"document.getElementById('open_blockPDF').style.display='block';return false;\" title=\"Открыть окно\" style=\"cursor: pointer;\"><span>
			<b>Этот файл</b>
			</a>
		. Он будет заменен.";}
		echo "<br /><input type=file name=uploadfile  size=100> <br/><br/><br />
		<div  style = width:701px;> 
		Полный текст"; 
		$adr=$_SERVER['REQUEST_URI'];
		$findstr[0]= '&nv=3';
		$findstr[1]= '&nv=4';
		$adr = str_replace($findstr, '', $adr);
	?>
	<button class="mce-widget mce-btn mce-first" style="display:none;float:right; padding: 0 8px;" TYPE="button" NAME="selectredactor"  title="Загрузить другой редактор" VALUE="&lt;-&gt;" onclick="if (confirm('Внимание! Несохраненные изменения будут потеряны. Хотите продолжить?')) {document.location.href='<? echo $adr.'&nv='.$nv;?>'} else {return false}"><B>&lt;-&gt;</B></button>
	
	<textarea name=text  class=mceEditor rows=20 cols=80 style= width:100%> <? echo  $text[4] ; echo"</textarea></div><br /><br />
		Код для вставки видео<br />
		<textarea name=code rows=10 cols=80>$code</textarea><br /><br />
		<div align=left><input type=submit value=Сохранить name=go id=button>&nbsp;&nbsp;&nbsp;
		<input type=submit value=Назад name=back id=button></div>";
		echo"</td>";
		
		
		echo  "<td class=valtop>фото<br /><input name=foto type=file><br /><br /><input type=submit value=загрузить id=button >";
		
		echo" <table >";
		$n=0;
		foreach($foto as $line)
		{
			$line=trim($line);
			echo"<tr><td>";
			foto($line);
			echo "</td><td><a href=red.php?id=$_GET[id]&c=$_GET[c]&page=$_GET[page]&ind=$_GET[ind]&op=1&up=$n><img src=img/up.png  alt=вверх title=вверх ></a>&nbsp;&nbsp;
			<a href=red.php?id=$_GET[id]&c=$_GET[c]&page=$_GET[page]&ind=$_GET[ind]&op=1&down=$n><img src=img/down.png  alt=вниз title=вниз ></a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			<a onclick=\"return confirm('Вы хотите удалить это фото?')\" href=red.php?id=$_GET[id]&c=$_GET[c]&page=$_GET[page]&ind=$_GET[ind]&op=1&del=$line><img src=img/del.png  alt=удалить title=удалить></a></td></tr>";
			$n++;
		}
		echo"</table>";
		echo"</td><tr></table></form>";
	}
	
	
	if($_GET['op']==2)
	{
		//из категории
		if($text[1]!="")
		{
			$file=file("db/cat/$text[1]");
			$f=fopen("db/cat/$text[1]","w");
			foreach($file as $line)
            {
				$line=trim($line);
				if($line==$_GET['id']) continue;
				fwrite($f,$line."\r\n");
			}
			fclose($f);
		}
		//foto
		$file=file("db/id_foto/$_GET[id]");
		foreach($file as $line)
		{
			$line=trim($line);
			unlink("foto/$line");
		}
		unlink("db/id_foto/$_GET[id]");
		//статья
		unlink("db/news/$_GET[id]");
		
		//код
		unlink("db/code/$_GET[id]");
		//файл
		if (is_file("../../sg_cm/upload/pdf/$_GET[id].pdf")) unlink("../../sg_cm/upload/pdf/$_GET[id].pdf");
		if (is_file("../../sg_cm/upload/pdf/$_GET[id].doc")) unlink("../../sg_cm/upload/pdf/$_GET[id].doc");
		if (is_file("../../sg_cm/upload/pdf/$_GET[id].docx")) unlink("../../sg_cm/upload/pdf/$_GET[id].docx");
		//рейтинг и пр
		unlink("db/stat/$_GET[id]");
		unlink("db/reyt/$_GET[id]");
		unlink("db/ip/$_GET[id]");
		
		//комменты
		$d=opendir("db/comm/$_GET[id]");
		while(($e=readdir($d))!=false)
		{
			if($e =="." || $e ==".." || $e==".htaccess") continue;
			unlink("db/comm/$_GET[id]/$e");
		}
		closedir($d);
		rmdir("db/comm/$_GET[id]");
		
		//очередь рассылки
		$f=fopen("db/sub.txt","w");
		foreach($news_sub as $line)
		{
			$line=trim($line);
			if($line==$_GET['id']) continue;
			fwrite($f,$line."\r\n");
		}
		fclose($f);
		
		echo "<meta http-equiv=refresh content='0; url=admin2.php?c=$_GET[c]&page=$_GET[page]&ind=$_GET[ind]'>";
		exit();
	}
	
	?>
	<div id="open_blockPDF">
		<div>
			<a  onClick="document.getElementById('open_blockPDF').style.display='none';return false;" title="Закрыть окно" id="close"  style="cursor: pointer;">
				<B>х&nbsp;&nbsp;&nbsp;&nbsp; <br/><br/></B>
			</a>
		</div>
		<object data="../../sg_cm/upload/pdf/<?echo $_GET['id'];?>.pdf" type="application/pdf" width="900" height="450">
			alt : <a href="../../sg_cm/upload/pdf/<?echo $_GET['id'];?>.pdf">pdf</a>
		</object>
		
	</div>
</div>
</body>
</html>